///////////////////////////////////////////////////////////////////////////////
// Project:     M
// File name:   gui/wxIdentityCombo.h - combobox for selecting an identity
// Purpose:
// Author:      Vadim Zeitlin
// Modified by:
// Created:     03.07.00
// CVS-ID:      $Id: wxIdentityCombo.h,v 1.3 2003/09/15 17:01:36 robertvazan Exp $
// Copyright:   (c) 2000 Vadim Zeitlin <zeitlin@dptmaths.ens-cachan.fr>
// Licence:     M license
///////////////////////////////////////////////////////////////////////////////

#ifndef _GUI_WXIDENTITYCOMBO_H_
#define _GUI_WXIDENTITYCOMBO_H_

class WXDLLEXPORT wxChoice;
class WXDLLEXPORT wxWindow;

/// the id of the identity combobox (always the same)
enum
{
    IDC_IDENT_COMBO = wxID_LOWEST - 1
};

/// create the identity combobox, may return NULL if no identities defined
extern wxChoice *CreateIdentCombo(wxWindow *parent);

//(implemented in src/gui/wxMDialogs.cpp)

#endif // _GUI_WXIDENTITYCOMBO_H_
