///////////////////////////////////////////////////////////////////////////////
// Project:     M - cross platform e-mail GUI client
// File name:   interface/MDialogs.i: interface file for dialog functions
// Purpose:     functions here can be used from Python to interface with user
// Author:      Vadim Zeitlin
// Modified by:
// Created:     19.12.03
// CVS-ID:      $Id: MDialogs.i,v 1.1 2003/12/28 22:40:04 vadz Exp $
// Copyright:   (c) 2003 Vadim Zeitlin
// Licence:     M license
///////////////////////////////////////////////////////////////////////////////

%module MDialogs
%{
#include "Mcommon.h"
#include "gui/wxMDialogs.h"
%}

%inline
%{
bool Message(const char *message)
{
   return MDialog_Message(message, NULL);
}

void Status(const char *message)
{
   wxLogStatus(_T("%s"), message);
}
%}

