File:		lib/dspam/README.M
Summary:	contains instructions for developers concerning dspam library
Audience:	Mahogany developers
Author:		Vadim Zeitlin <vadim@wxwindows.org>
Version:	$Id: README.M,v 1.3 2004/10/03 21:17:00 vadz Exp $
Version:	the information in this file applies to the cvs sources


0. Introduction
---------------

Mahogany uses a slightly modified version of dspam spam filter from
http://www.nuclearelephant.com/projects/dspam/. This directory contains our
copy of it as well as our makefiles to integrate it in our build system and,
finally, this file with some brief instructions for performing common tasks
related to it.


1. Updating dspam
-----------------

1. get http://www.nuclearelephant.com/projects/dspam/sources/dspam-x.y.tar.gz
   and unpack it and enter the directory dspam-x.y

2. run

    cvs -d:ext:vadz@cvs.sourceforge.net:/cvsroot/mahogany import
         -m "import of dspam x.y snapshot" -b 1.1.3 M/lib/dspam DSPAM DSPAM_x_y

   (DSPAM_x_y will be the tag assigned to this release in the cvs)

   PAY ATTENTION TO "-b 1.1.3"! cvs won't warn you if you don't use it but
   will import the sources in a wrong branch.

3. resolve the conflicts with the sources modified since last release:
   go to M/lib/dspam and run "cvs up -jDSPAM:yesterday -jDSPAM"
   (assuming the last update was before yesterday, otherwise use the tag)

4. do "cvs ci" if any files are locally modified after the merge

